#
#   - Net-Proxy -
#

%define real_name Net-Proxy
%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)
%define perl_archlib %(eval "`perl -V:archlib`"; echo $archlib)
%define perl_privlib %(eval "`perl -V:privlib`"; echo $privlib)
%define maketest 0

Name:           perl-%{real_name}
Summary:   	Net::Proxy - Framework for proxying network connections in many ways
Version:   	0.12
Release:   	1.4%{?dist}
Url:       	http://www.cpan.org
Group:          Development/Libraries/Perl
Source:    	%{real_name}-%{version}.tar.gz
License:   	Artistic
AutoReqProv:    on
Buildarch: 	noarch
Buildroot: 	%{_tmppath}/%{name}-%{version}-%(id -u -n)

BuildRequires:  perl(ExtUtils::MakeMaker) perl(Module::Build)
%if 0%{?fedora_version}
BuildRequires:  perl-devel
%endif


%description
A Net::Proxy object represents a proxy that accepts connections and then relays the data transfered between the source and the destination.

The goal of this module is to abstract the different methods used to connect from the proxy to the destination.

A proxy is a program that transfer data across a network boundary between a client and a server. Net::Proxy introduces the concept of "connectors" (implemented as Net::Proxy::Connector subclasses), which abstract the server part (connected to the client) and the client part (connected to the server) of the proxy.


%prep
%setup -q -n %{real_name}-%{version} 
chmod -R u+w %{_builddir}/%{real_name}-%{version}


%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}


%build
grep -rsl '^#!.*perl' . |
grep -v '.bak$' |xargs --no-run-if-empty \
%__perl -MExtUtils::MakeMaker -e 'MY->fixin(@ARGV)'
%{__perl} Build.PL destdir=%{buildroot} installdirs=vendor
%{__perl} Build


%check
%if %maketest
%{__perl} Build test
%endif


%install
%if 0%{?suse_version}
%perl_make_install
%perl_process_packlist
%else
%{__perl} Build install
find $RPM_BUILD_ROOT/usr -type f -name perllocal.pod |xargs -i rm -f {}
find $RPM_BUILD_ROOT/usr -type d -depth -exec rmdir {} \; 2>/dev/null
%endif
find %{buildroot} -name "perllocal.pod" -o -name ".packlist" -o -name "*.bs" |xargs -i rm -f {}
find %{buildroot} -name "site_perl" |xargs -i rm -rfv {}


%files
%defattr(-, root, root)
%doc Changes README
%doc %{_mandir}/man?/*
%{_bindir}/connect-tunnel
%{_bindir}/sslh
%dir %{perl_vendorlib}/Net
%dir %{perl_vendorlib}/Net/Proxy
%{perl_vendorlib}/Net/Proxy*
%if 0%{?suse_version}
/var/adm/perl-modules/%{name}
%endif


%changelog
* Wed May 30 2012 Holger Manthey <holger.manthey@bertelsmann.de>
- Initial build.
